# Class IntervalTree.Node<V1>

java.lang.Object
htsjdk.samtools.util.IntervalTree.Node<V1>

Enclosing class:
  `IntervalTree<V>`

public static class IntervalTree.Node<V1> extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`HAS_GREATER_PART`
`static final int`
`HAS_LESSER_PART`
`static final int`
`HAS_OVERLAPPING_PART`
`static final int`
`IS_ADJACENT_AND_EMPTY`
`static final int`
`IS_LEFT_OVERHANGING_OVERLAPPER`
`static final int`
`IS_RIGHT_OVERHANGING_OVERLAPPER`
`static final int`
`IS_STRICTLY_GREATER`
`static final int`
`IS_STRICTLY_LESS`
`static final int`
`IS_SUBSET`
`static final int`
`IS_SUPERSET`

## Method Summary

Modifier and Type
Method
Description
`void`
`checkMaxEnd()`
`int`
`getEnd()`
`int`
`getLength()`
`int`
`getRelationship(IntervalTree.Node<V1> interval)`
`int`
`getStart()`
`V1`
`getValue()`
`boolean`
`isAdjacent(IntervalTree.Node<V1> interval)`
`void`
`printNode()`
`V1`
`setValue(V1 value)`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### HAS_LESSER_PART

public static final int HAS_LESSER_PART

See Also:
  - Constant Field Values

### HAS_OVERLAPPING_PART

public static final int HAS_OVERLAPPING_PART

See Also:
  - Constant Field Values

### HAS_GREATER_PART

public static final int HAS_GREATER_PART

See Also:
  - Constant Field Values

### IS_ADJACENT_AND_EMPTY

public static final int IS_ADJACENT_AND_EMPTY

See Also:
  - Constant Field Values

### IS_STRICTLY_LESS

public static final int IS_STRICTLY_LESS

See Also:
  - Constant Field Values

### IS_SUBSET

public static final int IS_SUBSET

See Also:
  - Constant Field Values

### IS_LEFT_OVERHANGING_OVERLAPPER

public static final int IS_LEFT_OVERHANGING_OVERLAPPER

See Also:
  - Constant Field Values

### IS_STRICTLY_GREATER

public static final int IS_STRICTLY_GREATER

See Also:
  - Constant Field Values

### IS_RIGHT_OVERHANGING_OVERLAPPER

public static final int IS_RIGHT_OVERHANGING_OVERLAPPER

See Also:
  - Constant Field Values

### IS_SUPERSET

public static final int IS_SUPERSET

See Also:
  - Constant Field Values

## Method Details

### getStart

public int getStart()

### getEnd

public int getEnd()

### getLength

public int getLength()

### getRelationship

public int getRelationship(IntervalTree.Node<V1> interval)

### isAdjacent

public boolean isAdjacent(IntervalTree.Node<V1> interval)

### getValue

public V1 getValue()

### setValue

public V1 setValue(V1 value)

### checkMaxEnd

public void checkMaxEnd()

### printNode

public void printNode()

### toString

public String toString()

Overrides:
  `toString` in class `Object`